'use strict';
var ExtractTextPlugin = require('extract-text-webpack-plugin')
module.exports = {
  entry: {
    index: './index.js',
    a: './src/a/index.js',
    b: './src/b/index.js'
  },
  output: {
    publicPath: '/assets'
  },
  module: {
    loaders: require('./loaders.config')
  },
  externals: {
    // 'react': 'React'
  },
  resolve: {
    // Allow to omit extensions when requiring these files
    extensions: ['', '.js', '.jsx']
  },
  plugins: [
    new ExtractTextPlugin('index.css', {
      allChunks: true
    })
  ],
  devServer: {
    publicPath: '/assets',
    filename: 'bundle.js',
    historyApiFallback: true,
    port: 9292,
    host: '0.0.0.0'
  }
}
